Subject: Re: [PATCH 06/12] t: prepare execution of potentially failing commands for `set -e`

From: Jeff King <[email-masked]>
Date: Tue, 14 Apr 2026 19:08:10 -0400

On Tue, Apr 14, 2026 at 06:52:07PM -0400, Jeff King wrote:

> Short of requiring a third-party shell, the only workaround I can think
> of is to manually "set +e" before using "command", and then restore it
> with "set -e". Gross.

I guess one other option is to avoid turning on "set -e" at all for
known-buggy shells. We are not relying on it working everywhere, but
rather hoping that if at least one platform uses it, it will find
programming errors in the test script.

Personally, I am still skeptical that all of this is worth it versus
just checking stderr.

-Peff